import { useSnackBar } from '../components/SnackBar/SnackBar.ts'

const emailInput = document.querySelector<HTMLInputElement>('#email')
const passwordInput = document.querySelector<HTMLInputElement>('#password')
export const userFormValidation = () => {
  document.querySelector('form')
          ?.addEventListener('submit', function (e) {
            e.preventDefault()

            const data = new FormData(this)

            if (data.get('email') === '') {
              emailInput?.setCustomValidity('L\'Email est requis')
              emailInput?.reportValidity()
            } else if (!/^[a-zA-Z0-9_.-]+@[a-zA-Z0-9_.-]+\.[a-z]{2,}$/.test(data.get('email') as string)) {
              emailInput?.setCustomValidity('Email invalide')
              emailInput?.reportValidity()
            }

            // @ts-ignore
            if (data.get('password')! < 8) {
              passwordInput?.setCustomValidity('Le mot de passe doit faire au moins 8 caractères')
              passwordInput?.reportValidity()
            }

            if (emailInput?.checkValidity() && passwordInput?.checkValidity()) {
              //fetch

              emailInput.value = ''
              passwordInput.value = ''
              useSnackBar({
                message: 'Utilisateur créé',
                type: 'success',
              })
            }
          })
}